<?php

namespace SPYRIT_VENIO;

class Route
{
    public function init()
    {
        add_action('wp_loaded', [$this, 'flushRules']);
        add_filter('rewrite_rules_array', [$this, 'rewriteRules']);
        add_filter('query_vars', [$this, 'insertQueryVars']);
        add_filter('template_include', [$this, 'addTemplate']);
    }

    public function flushRules()
    {
        $rules = get_option('rewrite_rules');
        if (!isset($rules['v-evenement/(.*)?'])) {
            global $wp_rewrite;
            $wp_rewrite->flush_rules();
        }
    }

    public function rewriteRules($rules)
    {
        $newrules = array();
        $newrules['v-evenement/(.*)?'] = 'index.php?slug=$matches[1]';
        return $newrules + $rules;
    }

    public function insertQueryVars($vars)
    {
        array_push($vars, 'slug');
        return $vars;
    }

    public function addTemplate($template)
    {
        $event_page = get_query_var('slug');
        if ($event_page) {
            add_filter('document_title_parts', [$this, 'addPageTitle']);
            add_filter('body_class', [$this, 'addBodyClasses']);
            $template = VENIO_PLUGIN_DIR_PATH . 'templates/evenement-venio.php';
        }

        return $template;
    }

    public function addPageTitle($title_arr)
    {
        $title_arr['title'] = "Événement A";
        return $title_arr;
    }

    public function addBodyClasses()
    {
        $classes[] = 'singular';
        return $classes;
    }
}