<?php
namespace SPYRIT_VENIO;

use SPYRIT_VENIO\API as Api;
use SPYRIT_VENIO\Route as Route;

class VenioPlugin
{
    public function init()
    {
        // Init routes
        $route = new Route();
        $route->init();

        // Init Api
        $api = new Api();
        $api->init();

        // Call includes
        require_once VENIO_PLUGIN_DIR_PATH . 'inc/spyrit-venio-events-list.php';

        // Call shortcodes
        require_once VENIO_PLUGIN_DIR_PATH . 'shortcodes/spyrit-venio-events-shortcode.php';

        // Call stylesheets and script
        wp_enqueue_style('venio-style', plugin_dir_url(__FILE__) . '../assets/spyrit-venio.css');
        wp_enqueue_style('venio-tiny-slider-style', plugin_dir_url(__FILE__) . '../assets/slider/tiny-slider.css');
        wp_enqueue_script('venio-tiny-slider-script', plugin_dir_url(__FILE__) . '../assets/slider/tiny-slider.js');
        wp_enqueue_script('venio-script', plugin_dir_url(__FILE__) . '../assets/spyrit-venio.js');

    }
}