<?php
function spyrit_venio_events_shortcode($atts)
{
    $institution = $atts['institution'] ?? null;
    $api = new \SPYRIT_VENIO\Api();
    $events = $api->getEvents($institution);
    ob_start();
    ?>
    <div class="venio-shortcode venio-events">
    <?php if ($events): ?>
        <form action="#" id="eventsForm" onsubmit="return eventsFormSubmit()">
            <label for="name">Rechercher par nom</label>
            <input type="text" name="name" id="name" />
        </form>
        <div class="events-container" id="eventsContainer">
            <?= spyrit_venio_events_list($events); ?>
        </div>
        <script>
            let eventsContainer = document.getElementById("eventsContainer");
            if (eventsContainer.offsetWidth >= 800){eventsContainer.classList.add("fourC");} else if (eventsContainer.offsetWidth >= 600){eventsContainer.classList.add("threeC");}
            let eventsPlaceholder = document.getElementById("eventsPlaceholder");
            function eventsFormSubmit()
            {
                eventsContainer.classList.add("loading");
                let searchVal = document.getElementById('name').value;
                let request = new XMLHttpRequest();
                request.open('POST', "/wp-admin/admin-ajax.php", true);
                request.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded;');
                request.onload = function () {
                    if (this.status >= 200 && this.status < 400) {
                        var response = JSON.parse(this.response);
                        if (response.data) {
                            setTimeout(function () {
                                eventsContainer.classList.remove("loading");
                                eventsContainer.innerHTML = JSON.parse(response.data);
                            }, 300);
                        }
                    }
                };
                request.send('action=get_events_by_string&search='+searchVal+'&institution='<?php echo $institution ?>);
                return false;
            }
        </script>
    <?php endif; ?>
    </div>
    <?php
    return ob_get_clean();
}
add_shortcode('venio-events', 'spyrit_venio_events_shortcode');
