<?php
global $wp_query;
$event = null;
$api = new \SPYRIT_VENIO\Api();
$helper = new \SPYRIT_VENIO\Helper();
if (isset($wp_query->query['slug']) && $wp_query->query['slug']) {
    $event = $api->getEvents(null, $wp_query->query['slug']);
}
if (!$event || !isset($wp_query->query['slug'])) {
    $wp_query->set_404();
    add_action( 'wp_title', function () {
        return '404: Not Found';
    }, 9999 );
    status_header( 404 );
    nocache_headers();
    require get_404_template();
    exit;
}

?>

<?php get_header(); ?>

<main id="site-content" class="venio-single" role="main">
    <h1><?= $event['name'] ?? null; ?></h1>
    <div class="date"><?= $helper->getFormattedDate($event); ?></div>
    <?php if($helper->hasThumbnail($event)): ?>
        <div class="venio-slider-container">
            <div class="venio-slider">
                <?php foreach ($helper->getEventMedias($event) as $imageUrl): ?>
                    <div><img src="<?= $imageUrl ?>" /></div>
                <?php endforeach; ?>
            </div>
        </div>
    <?php endif; ?>
    <?php if ($event['long_description']): ?>
        <div class="info-block">
            <span class="block-title">Description</span>
            <div class="block-content"><?= $event['long_description']; ?></div>
        </div>
    <?php endif; ?>
    <?php if ($event['practical_informations']): ?>
        <div class="info-block">
            <span class="block-title">Informations pratiques</span>
            <div class="block-content"><?= $event['practical_informations']; ?></div>
        </div>
    <?php endif; ?>
    <?php if ($event['program']): ?>
        <div class="info-block">
            <span class="block-title">Programme</span>
            <div class="block-content"><?= $event['program']; ?></div>
        </div>
    <?php endif; ?>
    <?php if(isset($event['packages']) && count($event['packages']) > 0): ?>
        <div class="info-block">
            <span class="block-title">Liste des formules</span>
        </div>
        <?php foreach ($event['packages'] as $package): ?>
            <div class="info-block package">
                <span class="block-title">Formule <?= $package['name'] ?></span>
                <div class="block-content">
                    <?= $package['short_description']; ?>
                    <a href="<?= 'https://'.$event['subdomain'].'.venio.fr/fr/package/'.$package['id'].'/registration/create'?>" title="S'inscrire avec la formule <?= $package['name']?> sur le site de VENIO" class="outer-link" onclick="return confirm('Vous allez quitter le site pour vous inscrire sur venio.fr');" target="_blank">
                        Choisir cette formule
                    </a>
                    <div class="price"><?= $package['minimum_price'] ? "À partir de " . $package['minimum_price'] . "&nbsp;€": '' ?></div>
                </div>
            </div>
        <?php endforeach; ?>
    <?php endif; ?>
    <script>
        (function() {
            var slider = tns({
                container: '.venio-slider',
                items: 1,
                slideBy: 'page',
                autoplay: false,
                nav: false,
                controls: true,
                controlsText: ['<', '>']
            });
        })();
    </script>
</main>

<?php get_footer(); ?>
